i am a student and i use turbo c 3.0 and 4.5 its compulsory for the computer programming course but there is one error i get when try to run a code having graphics.h on 4.5 that

BGI graphics not supported under windows

but the same code runs fine on turbo c 3.0

i know that many programers dont like these turbo c editors the are out of date but for me its compulsory to use so kindly help me.

That's correct -- no 32-bit compiler supports GBI graphics. You can only use it with turbo c compiler. If you are trying to run turbo c on Windows 7 then you have to install DoxBox first, then run the compiler from within that program.